export var loadSegmentMiddlewares = function loadSegmentMiddlewares(_ref) {
  var optimizelyUserIdMiddleware = _ref.optimizelyUserIdMiddleware,
      optimizelySiteAttributeMiddleware = _ref.optimizelySiteAttributeMiddleware,
      gtmOnlyMiddleware = _ref.gtmOnlyMiddleware;
  window.analytics.ready(function () {
    window.analytics.addSourceMiddleware(gtmOnlyMiddleware);
    window.analytics.addDestinationMiddleware('Optimizely', [optimizelyUserIdMiddleware, optimizelySiteAttributeMiddleware]);
  });
};